Loading ...
Sorry, an error occurred while loading the content.

[Cheetahtemplate-discuss] Python 2.5 issue with Cheetah 1

Expand Messages
  • Ian Bicking
    Cheetah 1 doesn t work on Python 2.5: Cheetah/NameMapper.py:146 has a from __future__ import generators that fails on 2.5 because that line needs to be before
    Message 1 of 1 , Aug 10, 2007
    • 0 Attachment
      Cheetah 1 doesn't work on Python 2.5:

      Cheetah/NameMapper.py:146 has a from __future__ import generators that
      fails on 2.5 because that line needs to be before any other python
      statements.

      This is causing problems for a lot of people using Paste that are trying
      to upgrade to Python 2.5. Can you make another release to fix this
      issue? Thanks.

      --
      Ian Bicking : ianb@... : http://blog.ianbicking.org
      : Write code, do good : http://topp.openplans.org/careers

      -------------------------------------------------------------------------
      This SF.net email is sponsored by: Splunk Inc.
      Still grepping through log files to find problems? Stop.
      Now Search log events and configuration files using AJAX and a browser.
      Download your FREE copy of Splunk now >> http://get.splunk.com/
      _______________________________________________
      Cheetahtemplate-discuss mailing list
      Cheetahtemplate-discuss@...
      https://lists.sourceforge.net/lists/listinfo/cheetahtemplate-discuss
    Your message has been successfully submitted and would be delivered to recipients shortly.